Bug 7604 - Print queue Not updating
Print queue Not updating
Status: NEW
Product: Samba 3.5
Classification: Unclassified
Component: Printing
3.5.4
x64 Linux
: P3 normal
: ---
Assigned To: Guenther Deschner
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-05 10:05 UTC by Aaron
Modified: 2010-11-16 12:34 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aaron 2010-08-05 10:05:37 UTC
I'm using Samba v3.5.4 with cups printing. The samba print queue is not clearing out after print jobs have spooled and printed. The jobs do print but the jobs just stay queued once finished. I have to manually go into /var/lib/samba/printing and delete the (printername).tdb then restart samba.. 

Since printing is mostly working I do not have any error logs with any relevant info.

I cannot put this server live until I can get this resolved. 

I've seen mention of this for past samba versions but not for current versions.
Comment 1 Björn Jacke 2010-09-21 22:14:20 UTC
I guess you can see segfaults in the log files? I guess this fixed with http://git.samba.org/samba.git/?p=samba.git;a=commit;h=e4ba8fb3b9a6eebe7a56179f67d1aeff64cf1abc
Can you confirm this?
Comment 2 Björn Jacke 2010-09-23 16:03:47 UTC
as it works for me with the mentioned fix which is already in v3-5-test I change severity from blocker to normal. Aaron, let us know if we can close it, otherwise please give more detailed information like printer tdb files, smbd.conf etc.
Comment 3 Alejandro Escanero Blanco 2010-11-16 12:34:51 UTC
I find the same problem with Samba 3.5.6.
The queue never update.
lpq -PPRINTER give us no jobs
On rpcclient (and windows clients) enumjobs PRINTER give us all the jobs printed.
No cores at all, no problem with permissions.

Log level 6 has this interesting information:
[2010/11/16 18:19:02.054279,  9, effective(0, 0), real(0, 0)] printing/nt_printing.c:4011(get_a_printer_2)
  Unpacked printer [PRINTER] name [\\SERVER\PRINTER] running driver [HP Color LaserJet 2605dn_2605dtn PCL 6]
[2010/11/16 18:19:02.054335,  4, effective(0, 0), real(0, 0)] printing/printing.c:1066(print_cache_expired)
  print_cache_expired: cache expired for queue PRINTER (last_qscan_time = -1, time now = 1289927942, qcachetime = 10)
[2010/11/16 18:19:02.054392,  4, effective(0, 0), real(0, 0)] printing/printing.c:1082(print_cache_expired)
  print_cache_expired: message already pending for PRINTER.  Accepting cache

Ever the same message, the server never check cups and ever check the PRINTER.tdb.

Thanks